summaryrefslogtreecommitdiff
path: root/qa/186
diff options
context:
space:
mode:
Diffstat (limited to 'qa/186')
-rwxr-xr-xqa/18638
1 files changed, 38 insertions, 0 deletions
diff --git a/qa/186 b/qa/186
new file mode 100755
index 0000000..e48dad3
--- /dev/null
+++ b/qa/186
@@ -0,0 +1,38 @@
+#! /bin/sh
+# PCP QA Test No. 186
+# pmlogextract error?
+#
+# Copyright (c) 1995-2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard filters
+. ./common.product
+. ./common.filter
+
+if [ $PCP_VER -lt 3600 ]
+then
+ arch=src/951127.23.01
+else
+ arch=src/951127.23.01_v2
+fi
+
+trap "rm -f $tmp.*; exit" 0 1 2 3 15
+
+# real QA test starts here
+echo "=== merge ==="
+pmlogextract $arch $tmp
+
+echo
+echo "=== cmp files ==="
+for x in meta 0
+do
+ echo $x:
+ od -x $arch.$x \
+ | $PCP_AWK_PROG 'NR == 1 { print $1,$2,$3,$4,$5,".... .PID",$8,$9 }' >$tmp.input.hex
+ od -x $tmp.$x \
+ | $PCP_AWK_PROG 'NR == 1 { print $1,$2,$3,$4,$5,".... .PID",$8,$9 }' >$tmp.output.hex
+ diff -c $tmp.input.hex $tmp.output.hex
+done